import * as ora from 'ora'
import { Git } from '../util/Git'
import { Templates, Template } from '../config/template.config'
/**
 * @date 2019.12.18
 * @author panyanan
 * @information 创建vue2项目
 */
export class CreateVue2 {
    // 模板
    private template: Template;
    // 项目名称
    private projectName: string;
    // 项目目录
    private targetDir: string;
    constructor(template: Template, projectName: string, targetDir: string) {
        this.template = template;
        this.projectName = projectName;
        this.targetDir = targetDir;
    }
    create(options: any): void{
        try {
            const spinner = ora('create new a project');
            spinner.start();
            const git = new Git(this.template.repo, this.targetDir);
            git.pull();
            spinner.stop();
            spinner.succeed('clone succeed');
        } catch (error) {
            console.error(error);            
        }
    }
}